Skip to content

Authentication

Authentication with the API server is done using a "token". You can create this token via the portal: http://portal.postcode-api.nl/nl/postcode/tokens

The created token can then be used as a bearer token, which you use in the Authorization HTTP Header:

Authorization: Bearer <token>

For more information regarding the Authorization header, see: https://developer.mozilla.org/en-US/docs/Web/HTTP/Guides/Authentication

If the token is incorrect or invalid, an HTTP/1.1 401 Unauthorized is returned. An expired token also results in a HTTP/1.1 401 Unauthorized.

Test your token

You can easily test your token with a simple curl command:

curl --header "Authorization: Bearer $YOUR_TOKEN" https://api.postcode-api.nl/v1/directmatch/nl/3811BN/26

The $YOUR_TOKEN is the token you have (already) created via the portal: http://portal.postcode-api.nl/nl/postcode/tokens